Fish Audio Text to Speech
Audio
Fish Audio Text to Speech
POST
Fish Audio Text to Speech
For best results, upload reference audio using the create model before using this one. This improves speech quality and reduces latency.
-
WAV / PCM
- Sample Rate: 8kHz, 16kHz, 24kHz, 32kHz, 44.1kHz
- Default Sample Rate: 44.1kHz
- 16-bit, mono
-
MP3
- Sample Rate: 32kHz, 44.1kHz
- Default Sample Rate: 44.1kHz
- mono
- Bitrate: 64kbps, 128kbps (default), 192kbps
-
Opus
- Sample Rate: 48kHz
- Default Sample Rate: 48kHz
- mono
- Bitrate: -1000 (auto), 24kbps, 32kbps (default), 48kbps, 64kbps
Request Headers
string
必須
Enum:
application/jsonstring
必須
Bearer authentication format, for example: Bearer {{API Key}}.
enum<string>
デフォルト:"s1"
Specify which TTS model to use. Only supports model:
s1.Request Body
string
必須
Text to be converted to speech.
number
Controls randomness in the speech generation. Higher values (e.g., 1.0) make the output more random, while lower values (e.g., 0.1) make it more deterministic. We recommend
0.9 for s1 model.Required range: 0 <= x <= 1number
Controls diversity via nucleus sampling. Lower values (e.g., 0.1) make the output more focused, while higher values (e.g., 1.0) allow more diversity. We recommend
0.9 for s1 model.Required range: 0 <= x <= 1ReferenceAudio · object[] | null
References to be used for the speech, this requires MessagePack serialization, this will override reference_voices and reference_texts.
string | null
ID of the reference model to be used for the speech.
ProsodyControl · object
Prosody to be used for the speech.
integer
デフォルト:200
Chunk length to be used for the speech.Required range:
100 <= x <= 300boolean
デフォルト:true
Whether to normalize the speech, this will reduce the latency but may reduce performance on numbers and dates.
enum<string>
デフォルト:"mp3"
Format to be used for the speech.Available options:
wav, pcm, mp3, opusinteger | null
Sample rate to be used for the speech.
enum<integer>
デフォルト:128
MP3 Bitrate to be used for the speech.Available options:
64, 128, 192enum<integer>
デフォルト:32
Opus Bitrate to be used for the speech.Available options:
-1000, 24, 32, 48, 64enum<string>
デフォルト:"normal"
Latency to be used for the speech, balanced will reduce the latency but may lead to performance degradation.Available options:
normal, balancedResponse
The API will directly return the audio stream in the format specified by theformat parameter (default: mp3).最終更新日 2026年5月15日